Skills
Update a skill
Modifies the specified skill's configuration.
Parametri del percorso
name
string
necessario
The name of the skill to update.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Corpo della richiesta
default_version
string
necessario
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Risposte
The request has succeeded.
Corpo
id
string
necessario
The unique identifier of the skill.
name
string
necessario
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
necessario
A human-readable description of the skill.
default_version
string
necessario
The default version for the skill. Can be changed via updateSkill.
latest_version
string
necessario
The latest version for the skill.
Richiedi
POST /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json